GETRLIMITUSAGE(2)

NAME
getrlimitusage - Query usage of the current process' limited resources

LIBRARY
libc

SYNOPSIS
#include <sys/resource.h>
int
getrlimitusage(unsigned which, int flags, rlim_t *res);

DESCRIPTION
The getrlimitusage system call allows the process to query current consumption of the resources limited by the setrlimit(2) call.

The which argument specifies the resource, same as for getrlimit(2) and setrlimit(2) calls, see their man page for the list of enforced resource types.

The flags argument modifies the behavior of the call in the following ways:

GETRLIMITUSAGE_EUID
    Query the resource usage for user identified by effective UID of the process, instead of the real UID (which is default for accounting).

RETURN VALUES

ERRORS
The getrlimitusage() system call will fail if:

[EFAULT]
    The address specified for res is invalid.

[EINVAL]
    The resource specified to getrlimitusage() in the which argument is unknown.

[ENXIO]
    The resource specified to getrlimitusage() in the which argument is not accounted, but only enforced in specific situations. Examples of such resources are RLIMIT_FSIZE and RLIMIT_CORE.

SEE ALSO
procstat(1), getrlimit(2), setrlimit(2)

HISTORY
The getrlimitusage() system call appeared in FreeBSD 14.2.